Summary: Creates human-readable reports from your system's xferlog.
Name: mk-ftp-stats 
Version: 1.0
Release: 8
Copyright: distributable
Group: Applications/System
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/file-transfer/mk-ftp-stats-1.0.tar.gz
Url: http://www.dtek.chalmers.se/~d97van/mk-ftp-stats/
Patch0: mk-ftp-stats.patch
Patch1: mk-ftp-stats-headers.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Mk-ftp-stats is a program which will convert xferlog's contents into
human readable format.  Mk-ftp-stats' output shows users' uploads and
downloads as well as total traffic uploads and downloads.
Mk-ftp-stats was inspired by the statistics displayed by the
Windows(TM) FTP server WarFTP.

%prep
%setup -q -n mk-ftp-stats
%patch0 -p1 -b .orig
%patch1 -p1

%build
gcc processLog.cc -o processLog -lstdc++ 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin/

install -m 755 mk-ftp-stats  $RPM_BUILD_ROOT/usr/sbin/ 
install -m 755 -s processLog  $RPM_BUILD_ROOT/usr/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL
/usr/sbin/processLog 
/usr/sbin/mk-ftp-stats 

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- patched to make it compile in a cleaner namespace

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com> 
- build package for 6.0

* Thu Sep 03 1998 Michael Maher <mike@redhat.com>
- build package
